use utf8;

# less v418

'' => {
	desc => 'normal pager',

	'b' => ["page up", 'pm more'],
	'^b'=> 'b',
	'd' => ['scroll down', 'pm more'],
	'^d'=> 'd',
	'e' => 'j',
	'^e'=> 'j',
	'f' => ["page down", 'pm more'],
	'^f'=> 'f',
	'F' => ["follow", 'mo', 'Forward Forever'],
	'g' => ["(first) line", 'pm'],
	'^g'=> '=',
	'G' => ["last line", 'pm'],
	'h' => ["help", 'mo more'],
	'H' => 'h',
	'j' => [$sign{down}, 'pm'],
	'k' => [$sign{up}, 'pm'],
	'^k'=> 'k',
	'^l'=> 'r', # more
	'm' => ["mark pos$sign{_}ition", 'po arg'],
	'^m'=> 'j',
	'n' => ["next find", 'co more'],
	'N' => ["prev find", 'co'],
	'^n'=> 'j',
	'p' => ["reset position", 'pm', 'beginning or Percentage'],
	'^p'=> 'k',
	'q' => ["quit", 'mv more'],
	'Q' => 'q',
	'r' => ["redraw", 'ci'],
	'^r'=> 'r',
	'R' => ["refresh", 'ci'],
	's' => ["save to file", 'mv arg'],
	't' => ["next tag", 'co'],
	'T' => ["prev tag", 'co'],
	'u' => ['scroll up', 'pm'],
	'^u'=> 'u',
	'v' => ["edit", 'mv linkvi more'],
	'^v'=> 'f',
	'V' => ["version", 'ci'],
	'w' => ["page up and set window", 'pm'],
	'^x'=> ["emacs aliases", 'mv arg mode^x'],
	'y' => 'k',
	'^y'=> 'k',
	'z' => ["set page down", 'pm more'],

	'!' => ["shell command", 'mv more'],
	'|' => ["pipe till mark", 'mv arg'],
	':' => ["com$sign{_}mand", 'mv arg mode:'],
	'/' => ["find", 'co arg more'],
	'?' => ["find rev.", 'co arg'],
	'%' => 'p',
	'&' => ["filter match$sign{_}es", 'co arg'],
	"'" => ["goto mark", 'po arg'],
	'-' => ["toggle option", 'mv arg mode-'],
	'_' => ["show option", 'ci arg mode-'],
	'=' => ["file name", 'ci more'],
	'+' => ["initial cmd", 'mo'],

	'(' => ["closing", 'co'],
	'<' => 'g',
	'>' => 'G',
},

'esc' => {
	'n' => ["any next find", 'co'],
	'N' => ["any prev find", 'co'],
	'u' => ["mark search", 'ci', 'Undo'],
	'v' => 'b',
	'(' => ["scroll left", 'pm'],
	')' => ["scroll right", 'pm'],
	'<' => 'g',
	'>' => 'G',
},

#'^x' => {
#	'^x' => "'",
#	'^v' => ':e',
#},

':' => {
	'd' => ["drop file", 'mo'],
	'e' => ["open file", 'mo'],
	'f' => '=',
	'n' => ["next file", 'mo more'],
	'p' => ["prev file", 'mo more'],
	'q' => 'q',
	'Q' => ':q',
	'x' => ["first file", 'mo'],
},

'-' => {
	'a' => ["advance find page", 'co'],
	'b' => ["buffer space", 'mo arg'],
	'B' => ["static buffer for pipes", 'mo'],
	'c' => ["clear on scroll", 'pm'],
	'd' => ["dumb term$sign{_}inal", 'mv'],
	'D' => ["dos colours", 'mv arg ext'],
	'e' => ["exit after eof", 'mo'],
	'E' => ["exit at eof", 'mo'],
	'f' => ["force open", 'mo'],
	'F' => ["exit if 1 page", 'mo'],
	'g' => ["hilight last match", 'co'],
	'h' => ["scroll back limit", 'pm arg'],
	'i' => ["ignore lower$sign{_}c$sign{_}ase", 'co'],
	'I' => ["ignore case", 'co'],
	'j' => ["top offset", 'po arg'],
	'J' => ["status column", 'ci'],
	'k' => ["key bind$sign{_}ing$sign{_}s", 'mv arg'],
	'L' => [qq[ignore <span style="font-variant:small-caps">lesso$sign{_}pen</span> filter], 'mv'],
	'm' => ["med. promp$sign{_}t tog$sign{_}gle", 'ci'],
	'M' => ["long promp$sign{_}t tog$sign{_}gle", 'ci'],
	'n' => ["count line num$sign{_}ber$sign{_}s", 'mv'],
	'N' => ["show line n$sign{_}um$sign{_}ber$sign{_}s", 'ci'],
	'o' => ["stdin to log", 'me arg'],
	'O' => ["log overwrite", 'me arg'],
	'p' => ["initial search", 'co arg'],
	'P' => ["status line", 'ci arg', "Prompt"],
	'q' => ["no info bell", 'mv', "Quiet"],
	'Q' => ["no warn bell", 'mv', "Quiet!"],
	'r' => ["raw chars", 'mv'],
	'R' => ["ansi chars", 'mv'],
	's' => ["squeeze blank lines", 'mv'],
	'S' => ["no line wrap", 'mv'],
	't' => ["find tag", 'co arg'],
	'T' => ["tags file", 'co arg'],
	'u' => ['parse \b \r', 'mv'],
	'U' => ['escape \t \b \r', 'mv'],
	'V' => 'V',
	'w' => ["hilight page d$sign{_}own", 'mv'],
	'W' => ["hilight forw$sign{_}ard", 'mv'],
	'x' => ["tab stops", 'mv arg'],
	'X' => ["no termcap init", 'mv'],
	'y' => ["scroll limit fw$sign{_}d", 'pm arg'],
	'z' => ["page size", 'pm arg'],
	'"' => ["shell quotes", 'mv arg'],
	'~' => ["outside tildes toggle", 'mv'],
	'#' => ["col shift", 'pm arg'],
	'-' => ["option name", 'mv arg'],
	'+' => ["reset option", 'mv arg'],
},

